For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddScenario
        • POSTDelScenario
        • POSTBindScenario
        • POSTGetScenarios
        • POSTSetScenarioInfo
        • POSTReorderScenarios
        • POSTStartScenarios
        • POSTStartConference
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceScenarios

GetScenarios

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetScenarios
POST
/platform_api/GetScenarios
$curl -X POST https://api.voximplant.com/platform_api/GetScenarios \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": [
3 {
4 "scenario_id": 2,
5 "scenario_name": "scen2",
6 "modified": "2013-09-09 16:35:55"
7 },
8 {
9 "scenario_id": 3,
10 "scenario_name": "scen3",
11 "modified": "2013-09-09 16:36:50"
12 }
13 ],
14 "total_count": 4,
15 "count": 2,
16 "application_id": 1,
17 "application_name": "myapp",
18 "extended_application_name": "myapp@n4.voximplant.com"
19}

Gets the account’s scenarios.

Allowed roles: Owner, Admin, Developer.

Example request: Get two scenarios, but skip the first one.

Was this page helpful?
Previous

BindScenario

Next

SetScenarioInfo

Built with

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

scenario_idintegerOptional
The scenario ID to filter
scenario_namestringOptional

The scenario name to filter. Can be used instead of scenario_id. All scenarios containing this param in their names are returned. The parameter is case insensitive

with_scriptbooleanOptionalDefaults to false

Whether to get the scenario text. You must specify the ‘scenario_id’ too!

countintegerOptionalDefaults to 20
The max returning record count
offsetintegerOptionalDefaults to 0

The first N records are skipped in the output

application_idintegerOptional
ID of the scenario's application
application_namestringOptional
Name of the scenario's application

Response

Successful response
resultlist of objects
total_countinteger
The total found scenario count
countinteger
The returned scenario count
application_idinteger
ID of the scenario's application
application_namestring
Name of the scenario's application
extended_application_namestring
Application name including the node name

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.